Subject: [ipfix] Re: I-D ACTION:draft-ietf-ipfix-reqs-08.txt

From: Juergen Quittek <[email-masked]>
Date: Mon, 03 Feb 2003 18:45:43 +0100

Dear all,

Let me give you an overview of the applied changes compared to version -07:

1. Replace in Section "2.1. IP Traffic Flow" in item 1., line 3:
   "RTP header fields" by "RTP header fields [RFC1889]"

2. Append to Section "2.1. IP Traffic Flow":
   "Also, please note that although packet properties may depend on
    application headers, there is no requirement defined in this document
    related to applicaton headers."

3. Move in section 6.1 "Information Model" item "7. if protocol
   type is ICMP: ICMP type and code" from the list of MUST
   attributes to the list of SHOULD attributes. Now it is item 17.

4. Replace the entire section "6.3.2. Reliability" by
   "Loss of flow records during the data transfer from the exporting
    process to the collecting process MUST be indicated at the
    collecting process. This indication MUST allow the collecting
    process to gauge the number of flow records lost. Possible reasons
    for flow records loss include but is not limited to:

    1. Metering process limitations: lack of memory, processing power, etc.
       These limitations are already covered in section 5.1.
    2. Exporting process limitations: lack of memory, processing power, etc.
    3. Data transfer problems: packets that carry flow records sent from
       the exporting process to the collecting process, are dropped by the
       network. Examples are connection failures, congestions in combination
       with an unreliable transport protocol, etc.
    4. Collecting process limitations: it may be experiencing congestion
       and not able to buffer new flows records.
    5. Operation and Maintenance: the collecting process is taken down
       for maintenance or other administrative purposes."

    Please note that if an unreliable transport protocol is used,
    reliability can be provided by higher layers. In such a case only
    lack of overall reliability MUST be indicated. For example reordering
    could be dealt with by adding a sequence number to each packet.

    The data transfer between exporting process and collecting process MUST
    be open to reliability extensions including at least
       - retransmission of lost flow records,
       - detection of disconnection and fail-over, and
       - acknowledgement of flow records by the collecting process.
    This extensibility MAY be used to provide additional reliability."

5. Add to References:
   "[RFC1889]   H. Schulzrinne, S. Casner, R. Frederick, V. Jacobson, "RTP:
                A Transport Protocol for Real-Time Applications", RFC 1889,
                January 1996."

6. Update of the Acknowledgements section

Cheers,

    Juergen

-- [email-masked] wrote on 03 February 2003 06:44 -0500:

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the IP Flow Information Export Working Group of the IETF.
>
> 	Title		: Requirements for IP Flow Information Export
> 	Author(s)	: J. Quittek et al.
> 	Filename	: draft-ietf-ipfix-reqs-08.txt
> 	Pages		: 29
> 	Date		: 2003-1-31
> 	
> This memo defines requirements for the export of measured IP flow
> information out of routers, traffic measurement probes and
> middleboxes.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-ipfix-reqs-08.txt
>
> To remove yourself from the IETF Announcement list, send a message to
> ietf-announce-request with the word unsubscribe in the body of the message.
>
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-ietf-ipfix-reqs-08.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-ipfix-reqs-08.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/